#pragma once
#include "serialparams.h"
#include "bitcontroller.h"

#include "debug.h"
#include "stringutils.h"

#include "DialogChosePort.h"
#include "SerialPort.h"

// CDialogChosePort dialog

class CDialogChosePort : public CDialog
{
	DECLARE_DYNAMIC(CDialogChosePort)

public:
	CDialogChosePort(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDialogChosePort();
	void SetModel(SerialPort& port);
// Dialog Data
	enum { IDD = IDD_SELECT_PORT };

protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_ComboPort;
	CComboBox m_ComboSpeed;
	CComboBox m_ComboDatabits;
	afx_msg void OnBnClickedOk();
private:
	SerialPort *m_port;

};

